com.interactivemesh.jfx.importer.x3d

## Enum X3dHead.UnitCat

- java.lang.Object
- - java.lang.Enum<X3dHead.UnitCat>
  - - com.interactivemesh.jfx.importer.x3d.X3dHead.UnitCat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<X3dHead.UnitCat>
  Enclosing class:
    X3dHead

      public static enum X3dHead.UnitCat
      extends java.lang.Enum<X3dHead.UnitCat>

  Base unit category.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANGLE` Angle.
    `FORCE` Force.
    `LENGTH` Length.
    `MASS` Mass.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static X3dHead.UnitCat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static X3dHead.UnitCat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANGLE

          public static final X3dHead.UnitCat ANGLE

      Angle. Initial base unit: radian.

    - #### FORCE

          public static final X3dHead.UnitCat FORCE

      Force. Initial base unit: newton.

    - #### LENGTH

          public static final X3dHead.UnitCat LENGTH

      Length. Initial base unit: metre.

    - #### MASS

          public static final X3dHead.UnitCat MASS

      Mass. Initial base unit: kilogram.

  - ### Method Detail

    - #### values

          public static X3dHead.UnitCat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (X3dHead.UnitCat c : X3dHead.UnitCat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static X3dHead.UnitCat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright (C) 2013-2014 InteractiveMesh e.K.